Download it now!
Bug 72090 - Header disappears and is unusable/unrestorable if first body content is columns
Summary: Header disappears and is unusable/unrestorable if first body content is columns
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Writer-Header-Footer Page-Layout-Columns
  Show dependency treegraph
 
Reported: 2013-11-27 23:20 UTC by Shannon W.
Modified: 2019-12-10 17:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with header / colums (7.58 KB, application/vnd.oasis.opendocument.text)
2013-11-28 08:43 UTC, Cor Nouws
Details
example file for header/column crasher/disappearance bug (10.03 KB, application/vnd.oasis.opendocument.text)
2013-11-30 00:55 UTC, Shannon W.
Details
gdbtrace (3.56 KB, application/gzip)
2015-01-15 21:27 UTC, raal
Details
printscreen of freeze (68.73 KB, image/png)
2015-01-15 21:29 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shannon W. 2013-11-27 23:20:41 UTC
1. create a new document.  Shortest way to test is to use an envelope size page or other short page.
2. Format -> Page and click Header, turn header on, uncheck Same Content on First Page
3. Type a line into the Header (possibly two lines)
4. Click to begin typing in the main body
5. Format -> Columns  and select two columns
6. Start typing in short lines.
7. Once a new line of typing puts you into the 2nd column, the header disappears, and is completely uneditable, and Undo does not restore it.

Does not occur if one types all content first and then formats a header and columns.  If you do it this way then you can edit the columns all you want and the header stays.
Comment 1 Cor Nouws 2013-11-28 08:42:16 UTC
Hi Shannon,

thanks for the issue. I do not have this problem - will attach a test file: continue typing in there after the last bla bla line to test.

Can you attach your test file?

best,
Cor
Comment 2 Cor Nouws 2013-11-28 08:43:05 UTC
Created attachment 89946 [details]
test file with header / colums
Comment 3 Shannon W. 2013-11-30 00:52:45 UTC
It looks like the issue is (perhaps also) triggered by a tab in the Header.  I could not reproduce this today using the above instructions.  It is hard to pin down but I am still able to get it to reliably behave badly very quickly.

One extra thing I would do is type in the header, then tab until the cursor is at the right margin.  typing a few more words you can see it is automatically right-aligned.  Then press return and type a little into the second line of the header.

I was able to get the crash just by backspacing and altering the header all by itself.  However the columns appeared to make the problem occur the other day.

At some point one of two things will happen:  the header will disappear, and/or LibreOffice will crash.  I was going to write up the crasher separately, but ran out of time.  Perhaps they are related anyway.

This is on Windows 7 Home Premium SP1, Intel I5-4430 in case that matters.
Comment 4 Shannon W. 2013-11-30 00:55:08 UTC
Created attachment 90010 [details]
example file for header/column crasher/disappearance bug

This is a starting point for creating the behavior.  As I mentioned in my comment, the appearance of the problem is unpredictable, but it is soon after where I have left off in creating this document.  

Basically I was attempting to format a recipe on a 3x5 index card.  Hope this helps.
Comment 5 QA Administrators 2014-07-08 17:28:50 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2014-11-02 14:53:04 UTC
Unable to reproduce header disappearance or crash.
Shannon: if you can still get it to crash, you could try getting a backtrace:
https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg

Tested on Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: b167d1127e1579468a74c4414e7f4f33d9d24122
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-02_03:04:44
Comment 7 raal 2015-01-15 21:26:58 UTC
I can reproduce with Version: 4.5.0.0.alpha0+
Build ID: a272f5b7b30f356418ecf28eb95d066f081d1624
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-09_09:50:59
Comment 8 raal 2015-01-15 21:27:18 UTC
Created attachment 112318 [details]
gdbtrace
Comment 9 raal 2015-01-15 21:29:35 UTC
Created attachment 112319 [details]
printscreen of freeze

to reproduce write some text and delete some text, then in header delete text, use TAB keys and write text to header on right side
Comment 10 QA Administrators 2016-01-17 20:01:51 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-03-06 13:44:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306
Comment 12 Timur 2019-12-10 17:50:15 UTC
This is hardly repeatable bug and no response to QA ping.
So I put it in Needinfo to see if it happens with fresh LO 6.3.3 or master.